Article ID: 117682, created on Oct 3, 2013, last review on Sep 13, 2014

  • Applies to:
  • Business Automation 5.4


PBA updates precheck fails with the following reason:

| ------------- Legacy UI customization ------------- |
| Attention! Legacy UI customization was found.       |
| Parallels not guarantee that                        |
| it will work after upgrade.                         |
| If new customization already prepared, please       |
| approve pre-check manually                          |
| to unlock upgrade procedure.                        |
| To adjust legacy UI customization please refer to   |
| the KB article:        |


The Knowledgebase article #8875 is not suitable for PBA 5.4 and above (it was created for PBA 5.1 and 5.0).

Follow the steps below to pass the pre-check step:

  1. Backup the customization folder on the PBA Management Node: /usr/local/bm/customization/

    Or make sure you did (or will do before starting update) the full PBA ManagemenŠµ Node backup as described in the PBA update guide (the 'Backup' chapter):

  2. Adjust the 'Legacy UI Customization' version in the PBA Provider CP:

    • Go to System Information > Support > Add-ons list
    • Click on the 'Legacy UI Customization', then click 'Edit'
    • Specify version you perform update to e.g. 5.4.14-044 and click 'Save'
  3. Run the pre-check again

210d017ddc3a076d22f0f865b1cf0730 caea8340e2d186a540518d08602aa065 198398b282069eaf2d94a6af87dcb3ff 92711db0799e8aefe8e51f12dace0496 e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF